import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/biz/bizaccessrecord/` + url, ...arg)

/**
 * 门禁记录表Api接口管理器
 *
 * @author fanzherong
 * @date  2025/03/25 16:48
 **/
export default {
	// 获取门禁记录表分页
	bizAccessRecordPage(data) {
		return request('page', data, 'get')
	},
	// 提交门禁记录表表单 edit为true时为编辑，默认为新增
	bizAccessRecordSubmitForm(data, edit = false) {
		return request(edit ? 'edit' : 'add', data)
	},
	// 删除门禁记录表
	bizAccessRecordDelete(data) {
		return request('delete', data)
	},
	// 获取门禁记录表详情
	bizAccessRecordDetail(data) {
		return request('detail', data, 'get')
	}
}
